body {
    min-height: 100vh;
    max-width: 2545px;
    margin: 0 auto;
    padding: 0%rem;
    border-left: 0px solid #333;
    border-right: 0px solid #333;
    background-color: #807970;
}

/*breadcrumbs*/
.search-and-breadcrumb-table {
    width: 100%;
}

.hamburger-container {
    width: 5%;
}

.search-cell {
    text-align: left;
}

.breadcrumb-cell {
    padding-top: 2%;
    text-align: center;
    display: flex;
    align-items: left;
    transition: background-color 1.0s;
    color: #ffffff;
    white-space: nowrap;
}

.breadcrumb-cell a {
    background-color: #9b111e;
    transition: background-color 1.0s;
    /*new section for chevrons */
    padding: 6px 14px;
    margin-right: 6px;
    display: inline-block;
    clip-path: polygon(0 0,
            90% 0,
            100% 50%,
            90% 100%,
            0 100%,
            5% 50%);
}

.breadcrumb-cell a:hover {
    background-color: #ffffff;
    color: #807970;
}

/*new span section for non-linked breadcrumb*/
.breadcrumb-cell span {
    background-color: #0000cd;
    padding: 6px 14px;
    margin-right: 6px;
    display: inline-block;
    clip-path: polygon(0 0,
            100% 0,
            100% 50%,
            100% 100%,
            0 100%,
            5% 50%);
}

.crumb {
    display: inline-block;
    filter: drop-shadow(5px 10px 5px #000000);
}

.crumb-current {
    display: inline-block;
    filter: drop-shadow(5px 1px 5px #000000);
    transform: translateY(3px);
}

.crumb a,
.crumb span {
    display: inline-block;
}

.toggle-switch-cell {
    text-align: right;
}

/*documents categories*/
.categories {
    display: flex;
}

.cat-1 {
    display: inline-block;
    width: 50%;
    text-align: right;
    padding-right: 5%;
}

.cat-2 {
    display: inline-block;
    width: 50%;
    text-align: left;
    padding-left: 5%;
}

.link-button {
    font-size: inherit;
    background: #9b111e;
    border: 2px solid #000000;
    padding: 1% 2%;
    border-radius: 9999px;
    box-shadow: 10px 10px 10px #000000;
    transition: background-color 1.0s
}

.link-button:hover {
    color: #ffffff;
    background: #0000cd;
}

.cat-description-left {
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    padding-left: 25%;
    font-size: .75em;
}

.cat-description-right {
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    padding-right: 25%;
    font-size: .75em;
}

/*mobile device hamburger menu*/
.sidebar {
    list-style-type: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: #0000cdbb;
    backdrop-filter: blur(2px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li {
    list-style-type: none;
    width: 100%;
    height: 50px;
}

.sidebar-nest {
    position: absolute;
    visibility: hidden;
    text-align: center;
    align-items: center;
    height: 5%;
    padding-left: 10%;
    width: 70%;
    background-color: rgba(51, 21, 21, 0.1);
}

.sidebar-main-content:hover .sidebar-nest {
    visibility: visible;
    display: flex;
}

/*search box*/
.container {
    text-align: left;
}

/*sidebar menu*/
A.ssmItems:link {
    color: White;
    text-decoration: none;
}

A.ssmItems:hover {
    color: White;
    text-decoration: none;
}

A.ssmItems:active {
    color: White;
    text-decoration: none;
}

A.ssmItems:visited {
    color: White;
    text-decoration: none;
}

/*text*/
.text {
    color: #000000;
    text-align: center;
}

/*scroll buttons*/
#scroll-buttons {
    position: fixed;
    right: -80px;
    /* hidden off-screen */
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 12px;
    transition: right 1.0s ease;
    z-index: 9999;
}

.scroll-btn {
    /* width: 48px;
    height: 48px; moved to responsive */
    cursor: pointer;
    transition: transform 0.2s ease;
}

.scroll-btn:hover {
    transform: scale(1.1);
}

/* When scrolling begins, JS adds this class */
/* #scroll-buttons.visible {
    right: 20px; */
/* slide into view */
/* } moved to responsive */

/*img*/
.main-picture {
    display: flex;
    justify-content: center;
    align-items: center;
}

.img {
    max-width: 100%;
}

/*fonts sizes*/
h1,
h2,
h3 {
    font-size: 2em;
}

div {
    font-size: 1em;
}

nav {
    font-size: .9em;
}

/*html bottom links*/
#links-container {
    text-align: center;
}

#links-container a:hover {
    background-color: #ffffff;
    color: #807970;
}

/*small tablet styles*/
@media screen and (min-width: 300px) {

    body {
        font-size: 8px;
    }

    section {
        padding-left: 10%;
        padding-right: 10%;
    }

    .hamburger {
        width: 48px;
        height: 48px;
    }

    .sidebar {
        width: 100%;
    }

    .back-img {
        max-width: 10%;
        max-height: auto;
    }

    .scroll-btn {
        width: 26px;
        height: 26px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 7px;
        /* slide into view */
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: none;
    }

    .small-screen-crumbs {
        display: contents;
    }

    .small-crumb {
        display: flex;
        gap: 2px;
    }

    .small-screen-crumbs .breadcrumb-cell a,
    .small-screen-crumbs a {
        padding: 4px 6px;
        margin-right: 0px;
    }

    .small-screen-crumbs a {
        clip-path: polygon(0 0,
                88% 0,
                100% 50%,
                88% 100%,
                0 100%,
                6% 50%);
    }

    /*typed text animation text size*/
    .typed {
        font-size: 8px;
    }
}

/* large teablest and laptop styles*/
@media screen and (min-width: 860px) {

    body {
        font-size: 13px;
    }

    .hamburger {
        width: 80px;
        height: 80px;
    }

    .sidebar {
        width: 50%;
    }

    .back-img {
        max-width: 30%;
        max-height: auto;
    }

    .scroll-btn {
        width: 36px;
        height: 36px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 7px;
        /* slide into view */
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: contents;
    }

    .small-screen-crumbs {
        display: none;
    }

    /*typed text animation text size*/
    .typed {
        font-size: 13px;
    }
}

/*desktop styles */
@media screen and (min-width: 1400px) {

    body {
        font-size: 18px;
    }

    .hamburger {
        width: 100px;
        height: 100px;
    }

    .sidebar {
        font-size: 1.5rem;
    }

    .sidebar li {
        padding-top: 5%;
    }

    .back-img {
        top: 25%;
    }

    .scroll-btn {
        width: 48px;
        height: 48px;
    }

    /* When scrolling begins, JS adds this class */
    #scroll-buttons.visible {
        right: 20px;
        /* slide into view */
    }

    .cat-1 {
        font-size: 25px;
    }

    .cat-2 {
        font-size: 25px;
    }

    .cat-description {
        font-size: 18px;
    }

    /*breadcrumbs screen size toggle*/
    .large-screen-crumbs {
        display: contents;
    }

    .small-screen-crumbs {
        display: none;
    }

    /*typed text animation text size*/
    .typed {
        font-size: 18px;
    }
}